html {
    image-rendering: pixelated;
    box-sizing: border-box;
}
body {
    background-color: #3C3E2A;
    background-image: url("/assets/bg/end stone.png");
    background-position: center;
    color: #ffffff;
    margin: 0;
    padding: 0;
    text-align: center;
    font-family: "seven";
}

@font-face {
    font-family: "seven";
    src: url("/fonts/Minecraft Seven.ttf");
}

@font-face {
    font-family: "ten";
    src: url("/fonts/Minecraft Ten.ttf");
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: normal;
    color: white;
    font-family: "ten" !important;
}

a,
a:visited {
    color: #e079fa;
    transition: filter 0.3s ease;
}

a:hover {
    filter: brightness(150%);
}

::selection {
    background: #e079fa;
    color: #000000;
}
::-moz-selection {
    background: #e079fa;
    color: #000000;
}

header {
    height: 225px;
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 60px;
}

#icon {
    height: 100%;
    aspect-ratio: 1;
}

#logo {
    height: 100%;
    filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.5));
}

.logoLink {
    height: 90%;
}

.logoLink:hover {
    filter: brightness(100%);
}

.link {
    height: 60%;
    aspect-ratio: 1;
    filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.5));
    text-decoration: none;
}

.link:hover {
    filter: brightness(100%);
}

.link img {
    width: 100%;
    height: 100%;
    transition:
        filter 0.3s ease,
        transform 0.3s ease;
}

.link:hover img {
    transform: translateY(-20px);
}

.link:hover .left {
    filter: drop-shadow(-0.175vh 0 #6bc349) drop-shadow(0.175vh 0 #6bc349) drop-shadow(0 -0.175vh #6bc349)
        drop-shadow(0 0.175vh #6bc349) drop-shadow(-0.1vh -0.1vh #6bc349) drop-shadow(0.1vh -0.1vh #6bc349)
        drop-shadow(-0.1vh 0.1vh #6bc349) drop-shadow(0.1vh 0.1vh #6bc349);
}
.link:hover .right {
    filter: drop-shadow(-0.175vh 0 #fe58fd) drop-shadow(0.175vh 0 #fe58fd) drop-shadow(0 -0.175vh #fe58fd)
        drop-shadow(0 0.175vh #fe58fd) drop-shadow(-0.1vh -0.1vh #fe58fd) drop-shadow(0.1vh -0.1vh #fe58fd)
        drop-shadow(-0.1vh 0.1vh #fe58fd) drop-shadow(0.1vh 0.1vh #fe58fd);
}

.link h2 {
    transition:
        opacity 0.3s ease,
        transform 0.3s ease;
    transform: translateY(-60px);
    opacity: 0;
    font-size: 20px;
}

.link:hover h2 {
    transform: translateY(-40px);
    opacity: 1;
}

h1 span {
    border-bottom: dashed 4px #e079fa;
}

.wrapper {
    margin-left: 350px;
    margin-right: 350px;
}

.awesome {
    background: rgba(0, 0, 0, 0.5);
    padding: 15px;
    padding-top: 1px;
    padding-bottom: 5px;
    margin-bottom: 40px;
}

.blinkies {
    height: 20px;
    margin-bottom: 6px;
}

.blinkies img {
    margin-left: 3px;
    margin-right: 3px;
}

.renders img {
    width: 50%;
}

.renders {
    width: 90%;
    left: 50%;
    position: relative;
    transform: translateX(-50%);
    padding: 0;
    white-space: nowrap;
}

.renders .right {
    transform: translateX(-22%);
}

.renders .left {
    transform: translateX(22%);
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

@media (max-width: 1550px) {
    .wrapper {
        margin-left: 150px;
        margin-right: 150px;
    }
}

@media (max-width: 1200px) {
    .wrapper {
        margin-left: 20px;
        margin-right: 20px;
    }

    header {
        height: auto;
        flex-wrap: wrap;
        gap: 10px;
        padding: 10px;
        margin-bottom: 30px;
    }

    .logoLink {
        order: -1;
        width: 100%;
        height: 160px;
    }
}

@media (max-width: 1000px) {
    .wrapper {
        margin-left: 8px;
        margin-right: 8px;
    }

    .link h2 {
        display: none;
    }

    .renders {
        width: 100%;
    }
}
